import 'package:doctor_app_flutter/config/config.dart';
import 'package:doctor_app_flutter/interceptor/http_interceptor.dart';
import 'package:http/http.dart';

// OWNER : Ibrahim albitar
// DATE : 22-04-2020
// DESCRIPTION : Custom App client to pin base url for all srvices

class AppClient {
  static Client client = HttpInterceptor().getClient();

  static Future<Response> post(dynamic path, {dynamic body}) async {
    String _fullUrl = BASE_URL + path;
    final response = await client.post(_fullUrl, body: body);
    return response;
  }
}
